namespace Infrastructure.Extensions;

public static class TokenContextSetup
{
    public static IServiceCollection AddDefaultTokenContext(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddSingleton<JwtSecurityTokenHandler>();
        services.TryAddSingleton<DefaultTokenHandler>();
        services.TryAddSingleton<ITokenBuilder, DefaultTokenBuilder>();
        var builder = new DefaultTokenBuilder(null, null, null);
        builder.SetUserContext(null);
        return services;
    }
}